import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/base/templateInfo/pageList", formData);
}

function list(formData) {
  return request.post(constant.serverUrl + "/base/templateInfo/list",formData);
}

function create() {
  return request.get(constant.serverUrl + "/base/templateInfo/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/templateInfo/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/base/templateInfo/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/base/templateInfo/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function updateDate(formModel) {
  return request.post(constant.serverUrl + "/base/templateInfo/updateDate", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}


function remove(id) {
  return request.post(constant.serverUrl + "/base/templateInfo/delete/" + id);
}

function checked(id) {
  return request.post(constant.serverUrl + "/base/templateInfo/checked/" + id);
}


function batchRemove(idList) {
  return request.post(constant.serverUrl + "/base/templateInfo/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function saveAttachment(formData) {
  return request.post(constant.serverUrl + "/base/templateInfo/saveAttachment", formData);
}

export default {
  pageList, create, edit, add, update, remove, batchRemove,list,checked,saveAttachment,updateDate
}